org.apache.tinkerpop.gremlin.structure.io

## Class IoTest.GraphMLTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.io.IoTest.GraphMLTest

- Enclosing class:
    IoTest

      public static class IoTest.GraphMLTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphMLTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldNotWriteGraphMLFromGraphWithMultiProperties()`
    `void` | `shouldProperlyEncodeWithGraphML()` Note: this is only a very lightweight test of writer/reader encoding.
    `void` | `shouldReadGraphML()`
    `void` | `shouldReadGraphMLUnorderedElements()`
    `void` | `shouldReadGraphMLWithAllSupportedDataTypes()`
    `void` | `shouldReadGraphMLWithCommonVertexAndEdgePropertyNames()`
    `void` | `shouldReadGraphMLWithNoEdgeLabels()`
    `void` | `shouldReadGraphMLWithoutEdgeIds()`
    `void` | `shouldReadGraphMLWithoutStrictOption()`
    `void` | `shouldReadGraphMLWithStrictOption()`
    `void` | `shouldReadWriteSelfLoopingEdges()`
    `void` | `shouldTransformGraphMLV2ToV3ViaXSLT()`
    `void` | `shouldWriteNormalizedGraphML()` Only need to execute this test with TinkerGraph or other graphs that support user supplied identifiers.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphMLTest

          public GraphMLTest()

  - ### Method Detail

    - #### shouldReadGraphML

          public void shouldReadGraphML()
                                 throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLWithNoEdgeLabels

          public void shouldReadGraphMLWithNoEdgeLabels()
                                                 throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLUnorderedElements

          public void shouldReadGraphMLUnorderedElements()
                                                  throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLWithAllSupportedDataTypes

          public void shouldReadGraphMLWithAllSupportedDataTypes()
                                                          throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLWithoutStrictOption

          public void shouldReadGraphMLWithoutStrictOption()
                                                    throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLWithoutEdgeIds

          public void shouldReadGraphMLWithoutEdgeIds()
                                               throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLWithCommonVertexAndEdgePropertyNames

          public void shouldReadGraphMLWithCommonVertexAndEdgePropertyNames()
                                                                     throws IOException

      Throws:
        `IOException`

    - #### shouldReadGraphMLWithStrictOption

          public void shouldReadGraphMLWithStrictOption()
                                                 throws IOException

      Throws:
        `IOException`

    - #### shouldWriteNormalizedGraphML

          public void shouldWriteNormalizedGraphML()
                                            throws Exception

      Only need to execute this test with TinkerGraph or other graphs that support user supplied identifiers.
      Throws:
        `Exception`

    - #### shouldNotWriteGraphMLFromGraphWithMultiProperties

          public void shouldNotWriteGraphMLFromGraphWithMultiProperties()
                                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldProperlyEncodeWithGraphML

          public void shouldProperlyEncodeWithGraphML()
                                               throws Exception

      Note: this is only a very lightweight test of writer/reader encoding. It is known that there are characters which, when written by GraphMLWriter, cause parse errors for GraphMLReader. However, this happens uncommonly enough that is not yet known which characters those are. Only need to execute this test with TinkerGraph or other graphs that support user supplied identifiers.
      Throws:
        `Exception`

    - #### shouldReadWriteSelfLoopingEdges

          public void shouldReadWriteSelfLoopingEdges()
                                               throws Exception

      Throws:
        `Exception`

    - #### shouldTransformGraphMLV2ToV3ViaXSLT

          public void shouldTransformGraphMLV2ToV3ViaXSLT()
                                                   throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.